# Create site periomeasure

Endpoint: POST /site/{siteId}/periomeasure
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Request fields (application/json):

  - `siteId` (number, required)
    The ID of the site associated with this periomeasure
    Example: 1

  - `practitionerId` (number, required)
    The ID of the FHIR Practitioner associated with this periomeasure
    Example: 1

  - `patientId` (number, required)
    The ID of the FHIR Patiend associated with this periomeasure
    Example: 1

  - `perioMeasureNum` (number, required)
    Periomeasure number
    Example: 1

  - `perioExamNum` (number, required)
    Periomeasure exam number
    Example: 1

  - `sequenceType` (number, required)
    Enum: PerioSequenceType. Possible values are:
- Mobility: 0
- Furcation: 1
- GingMargin: 2 (AKA recession)
- MGJ: 3 (MucoGingivalJunction - the division between attached and unattached mucosa)
- Probing: 4
- SkipTooth: 5 (For this type, set 'surf' to none, and 'toothValue' to 1)
- Bleeding: 6 (Sum of flags for bleeding(1), suppuration(2), plaque(4), and calculus(8))
- CAL: 7 (This type is never saved to the DB; it is always calculated on the fly)
    Enum: "0", "1", "2", "3", "4", "5", "6", "7"

  - `intTooth` (number, required)
    Valid values are 1-32. Every measurement must be associated with a tooth.
    Example: 1

  - `toothValue` (number, required)
    This is used when the measurement does not apply to a surface(mobility and skiptooth). Valid values for all surfaces are 0 through 19, or -1 to represent no measurement taken.
    Example: 0

  - `mBvalue` (number, required)
    1 represents no measurement. Values of 100+ represent negative values (only used for Gingival Margins). e.g. To use a value of 105, subtract it from 100. (100 - 105 = -5)
    Example: 1

  - `bvalue` (number, required)
    Buccal value
    Example: 0

  - `dBvalue` (number, required)
    Distal-buccal value
    Example: 0

  - `mLvalue` (number, required)
    Mesial-lingual value
    Example: 0

  - `dLvalue` (number, required)
    Distal-lingual value
    Example: 0

  - `lvalue` (number, required)
    lValue
    Example: 0

  - `secDateTEntry` (string, required)
    Timestamp automatically generated and user not allowed to change. The actual date of entry.
    Example: 2021-08-01T00:00:00.000Z

  - `secDateTEdit` (string, required)
    Timestamp for last edit
    Example: 2021-08-01T00:00:00.000Z

## Response 201:

  - `201` (unknown)
    Site Periomeasure created successfully.

## Response 201 fields (application/json):

  - `siteId` (number, required)
    The ID of the site associated with this periomeasure
    Example: 1

  - `practitionerId` (number, required)
    The ID of the FHIR Practitioner associated with this periomeasure
    Example: 1

  - `patientId` (number, required)
    The ID of the FHIR Patiend associated with this periomeasure
    Example: 1

  - `perioMeasureNum` (number, required)
    Periomeasure number
    Example: 1

  - `perioExamNum` (number, required)
    Periomeasure exam number
    Example: 1

  - `sequenceType` (number, required)
    Enum: PerioSequenceType. Possible values are:
- Mobility: 0
- Furcation: 1
- GingMargin: 2 (AKA recession)
- MGJ: 3 (MucoGingivalJunction - the division between attached and unattached mucosa)
- Probing: 4
- SkipTooth: 5 (For this type, set 'surf' to none, and 'toothValue' to 1)
- Bleeding: 6 (Sum of flags for bleeding(1), suppuration(2), plaque(4), and calculus(8))
- CAL: 7 (This type is never saved to the DB; it is always calculated on the fly)
    Enum: "0", "1", "2", "3", "4", "5", "6", "7"

  - `intTooth` (number, required)
    Valid values are 1-32. Every measurement must be associated with a tooth.
    Example: 1

  - `toothValue` (number, required)
    This is used when the measurement does not apply to a surface(mobility and skiptooth). Valid values for all surfaces are 0 through 19, or -1 to represent no measurement taken.
    Example: 0

  - `mBvalue` (number, required)
    1 represents no measurement. Values of 100+ represent negative values (only used for Gingival Margins). e.g. To use a value of 105, subtract it from 100. (100 - 105 = -5)
    Example: 1

  - `bvalue` (number, required)
    Buccal value
    Example: 0

  - `dBvalue` (number, required)
    Distal-buccal value
    Example: 0

  - `mLvalue` (number, required)
    Mesial-lingual value
    Example: 0

  - `dLvalue` (number, required)
    Distal-lingual value
    Example: 0

  - `lvalue` (number, required)
    lValue
    Example: 0

  - `secDateTEntry` (string, required)
    Timestamp automatically generated and user not allowed to change. The actual date of entry.
    Example: 2021-08-01T00:00:00.000Z

  - `secDateTEdit` (string, required)
    Timestamp for last edit
    Example: 2021-08-01T00:00:00.000Z

  - `id` (number, required)
    The ID of the site periomeasure to be updated
    Example: 100

  - `createdAt` (string, required)
    The date and time the site periomeasure was created
    Example: 2021-08-01T00:00:00.000Z

  - `updatedAt` (string, required)
    The date and time the site periomeasure was last updated
    Example: 2021-08-01T00:00:00.000Z

## Response 400:

  - `400` (unknown)
    Bad request

## Response 401:

  - `401` (unknown)
    Unauthorized: Invalid or missing token.

## Response 401 fields (application/json):

  - `message` (string, required)
    Error message indicating unauthorized access.
    Example: Unauthorized

  - `statusCode` (number, required)
    HTTP status code for unauthorized access.
    Example: 401

## Response 403:

  - `403` (unknown)
    Forbidden: Access denied due to unaccepted Terms or insufficient permissions.

## Response 403 fields (application/json):

  - `statusCode` (number, required)
    HTTP status code indicating forbidden access due to unaccepted Terms of Service.
    Example: 403

  - `message` (string, required)
    Human-readable explanation of the error.
    Example: User must accept Terms of Service before continuing

  - `reason` (string, required)
    Machine-readable reason code for the error.
    Example: tos_required

  - `termsOfServicesLink` (string, required)
    URL to the Terms of Service the user must accept.
    Example: https://heydonto.com/terms-of-use/

  - `timestamp` (string, required)
    Timestamp when the error occurred (ISO 8601).
    Example: 2025-01-01T00:00:00.000Z

  - `statusCode` (number, required)
    HTTP status code indicating forbidden access.
    Example: 403

